Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
gameedit.php File Reference

Go to the source code of this file.

## Variables
if(isset( $OK)) if(isset( $Delete)) if(isset( $NewQuestion)) if(isset( $Cancel)) if(isset( $DeleteQuestions)) if(isset( $Action) && $Action=="New") elseif(isset( $Action) && $Action !="Insert") elseif(isset( $Action) && $Action !="Insert") | $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZQuizMain", "Language" )
| $t
| $error = false
| $checkDate = true
if(isset( $Action) && $Action=="Insert") if((isset( $Action) && $Action=="Insert") &&( $error==false)) if(isset( $Action) && $Action=="Delete") if(is_numeric( $GameID) &&!isset( $OK) &&!isset( $NewQuestion)) if(isset( $questionList) &&count( $questionList) > 0) | else

## Variable Documentation

## ◆ $checkDate

$checkDate = true

Definition at line 144 of file gameedit.php.

## ◆ $error

$error = false

Definition at line 143 of file gameedit.php.

## ◆ $ini

if (isset($OK)) if (isset($Delete)) if (isset($NewQuestion)) if (isset($Cancel)) if (isset($DeleteQuestions)) if (isset($Action) &&$Action=="New") elseif (isset($Action) &&$Action !="Insert") elseif (isset($Action) &&$Action !="Insert") $ini =& eZINI::instance( 'site.ini' )

Definition at line 104 of file gameedit.php.

## ◆ $Language

$Language = $ini->variable( "eZQuizMain", "Language" )

Definition at line 105 of file gameedit.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezquiz/admin/" . $ini->variable( "eZQuizMain", "AdminTemplateDir" ),
"kernel/ezquiz/admin/intl", $Language, "gameedit.php" )
eZTemplate
Definition: eztemplate.php:107
$ini
if(isset( $OK)) if(isset( $Delete)) if(isset( $NewQuestion)) if(isset( $Cancel)) if(isset( $DeleteQuestions)) if(isset( $Action) && $Action=="New") elseif(isset( $Action) && $Action !="Insert") elseif(isset( $Action) && $Action !="Insert") $ini
Definition: gameedit.php:104
$Language
$Language
Definition: gameedit.php:105

Definition at line 107 of file gameedit.php.

## ◆ else

if (isset($Action) &&$Action=="Insert") if ((isset($Action) &&$Action=="Insert") &&($error==false)) if (isset($Action) &&$Action=="Delete") if (is_numeric($GameID) &&!isset($OK) &&!isset($NewQuestion)) if (isset($questionList) &&count($questionList) > 0) else

Initial value:
{
$t->set_var( "question_list", "" )
$t
$t
Definition: gameedit.php:107

Definition at line 380 of file gameedit.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.